<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<style>
    .edge .layui-edge {
        right: 20px;
    }

    .tangj.scolor .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">特光不干胶</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="特光不干胶">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <input type="radio" lay-filter="kind" name="kind" value="特光不干胶" title="特光不干胶" checked/>
            </div>
            <p>
                尺寸(CM/厘米)
            </p>
            <input type="text" name="size" placeholder="格式:长*宽" id="size" class="layui-input" autocomplete="off">
            <p>
                数量（张）
            </p>
            <div class="count">
                <div class="layui-form-item">
                    <select name="count" class="select">
                        <option value="200">200</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>
                    </select>
                </div>
            </div>
            <div class="diyCount" style="display: none">
                <div class="layui-form-item">
                    <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input"
                           autocomplete="off">
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>工艺</p>
            <div class="layui-input-block" style="display:inline-block;">
                <div class="layui-input-block">
                    覆膜工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="哑膜" title="哑膜" checked>
                </div>
                <div class="layui-input-block">
                    裁切工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="模切" title="模切" checked>
                </div>
                <div class="layui-input-block">
                    特殊工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="印刷+激凸" title="印刷+激凸" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="烫金+激凸" title="烫金+激凸">
                    <div class="layui-inline tangj scolor" style="width: 150px;display: none">
                        <select class="select">
                            <option value="金色">金色</option>
                            <option value="蓝色">蓝色</option>
                            <option value="银色">银色</option>
                            <option value="玫瑰金">玫瑰金</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn" id="queryCondBtn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        let remark_html = ''

        // 监听回车键，如果敲了回车，调用点击‘计算’
        $(document).keydown(function (e) {
            if (e.keyCode === 13) {
                $("#queryCondBtn").trigger("click");
            }
        });
        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $('input[name="kind"]:checked').val()
            },
            //dataType : "json",
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    remark_html = remark;
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            if (craft_list.indexOf("哑膜") == -1) {
                $(data.elem).prop("checked", true);
                layer.msg("覆膜不能取消选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (craft_list.indexOf("模切") == -1) {
                $(data.elem).prop("checked", true);
                layer.msg("裁切不能取消选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft_list1 = ["印刷+激凸", "烫金+激凸"];
            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("特殊工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (craft_list.indexOf("烫金+激凸") > -1) {
                $(".tangj.scolor").show();
            } else {
                $(".tangj.scolor").hide();
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {

            var number = $("#number").val();
            var size = $("input[name='size']").val();
            var count = $("select[name='count'] option:selected").text();
            var arr = []
            if ((size.split("*")[0] > 20 || size.split("*")[1] > 20)) {
                layer.msg('最大尺寸20*20cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] < 1.5 || size.split("*")[1] < 1.5)) {
                layer.msg('最小尺寸1.5*1.5cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $("input:checkbox[name='craft']:checked").each(function (i) {
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "烫金+激凸") {
                        arr.push($(".tangj select option:selected").val());
                        return;
                    }
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    arr.push($(this).val());
                }
            });
            if (arr.indexOf("印刷+激凸") == -1 && arr.indexOf("烫金+激凸") == -1) {
                layer.msg("特殊工艺必须选一个", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    var span_result = '特光不干胶 - ' + size + ' CM (同款内容)\n';
                    span_result += `工艺：` + arr.join(",") + '\n';
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>